@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
:root{
    --left-bg-color:rgba(87,84,236,0.7);
    --right-bg-color:rgba(43,43,43,0.8);
    --container-bg-color:#333;
    --text-white-color:#fff;
    --left-btn-hover-color:rgba(87,84,236,1);
    --right-btn-hover-color:rgba(28,122,28,1);
    /* after hovering  */
    --hover-width:75%;
    --other-width: 25%;
    /* transition speed */
    --transition-speed:0.8s
}
*{
    box-sizing: border-box;
}
body{
    font-family:'Roboto' , sans-serif;
    height: 100vh;
    overflow: hidden;
    margin:0
}
h1{
    font-size:4rem;
    color:var(--text-white-color);
    position:absolute;
    left:50%;
    top:20%;
     /*to put the text exactly in the center of the page  */
     transform: translateX(-50%);
     /* Text will be in a single line for all widths */
     white-space: nowrap;
}
.btn{
    position:absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    left:50%;
    top:40%;
    transform:translateX(-50%);
    text-decoration: none;
    color:var(--text-white-color);
    border:var(--text-white-color) solid 0.2rem;
    font-size:1rem;
    width:15rem;
    padding:1.5rem;
    font-weight: bold;
    text-transform: uppercase;
}
.split.left .btn:hover{
    background-color: var(--left-btn-hover-color);
    border-color:var(--left-btn-hover-color);
}
.split.right .btn:hover{
    background-color: var(--right-btn-hover-color);
    border-color:var(--right-btn-hover-color);
}
.container{
    position: relative;
    width: 100%;
    height: 100%;
    background: var(--container-bg-color);
}
.split{
    position:absolute;
    width: 50%;
    height: 100%;
    overflow: hidden;
}
.split.right, .split.left, .split.right::before, .split.left::before{
    transition: all var(--transition-speed)  ease-in-out;
}
.split.left{
    left:0;
    background:url('../img/wp6967920-ps5-poster-hd-wallpapers.jpg');
    background-repeat: no-repeat;
    background-size: cover; 
    transition:all 0.8s ease-in-out;
}
/* left image overlay  */
.split.left::before{
    content:'';
    position: absolute;
    width:100%;
    height: 100%;
    background-color: var(--left-bg-color);
}
.split.right{
    right:0;
    background: url('../img/uwp465380.png');
    background-repeat: no-repeat;
    background-size: cover;
    transition:all 0.8s ease-in-out;
}
.split.right::before{
  content:'';
  position: absolute;
  width:100%;
  height: 100%;
  background-color: var(--right-bg-color);  
}

/* change the ration of two landing pictures by adding new style */
.hover-left .left{
    width:var(--hover-width)
}
.hover-left .right{
    width:var(--other-width)
}
.hover-right .right{
    width:var(--hover-width)
}
.hover-right .left{
    width:var(--other-width)
}
/* for small devices */
@media screen and(max-width:800px) {
    h1{
        font-size: 2rem;
        top:30%
    }
    .btn{
        padding:1.2rem;
        width:12rem;
    }
}